Support » Plugin: Post Expiration Date » Great plugin working for CPT

  • Great, works for CPT, and you can select which CPT will expire (tested with WP 4.9.8)
    I only experimented an error when browsing a post just after its expiration date was set in the past (so that it expired).
    Uncaught Error: Cannot use object of type WP_Post as array in /wp-content/plugins/wp-post-expires/wp-post-expires.php:287

    Just rewrite condition : if($del_post->post_status == ‘trash’){
    to : if( $del_post AND ($del_post->post_status == ‘trash’)) { //

  • The topic ‘Great plugin working for CPT’ is closed to new replies.